---
# Example host_vars/localhost.yml for Consensus cloud-openstack ansible role.
openstack_generate_ssh_config: true

os_security_groups:
  - name: 'base'
    description: 'Base security group for all VMs.'
    rules:
      - port_range_min: 22
      - port_range_min: 0
        protocol: 'icmp'
  - name: 'web'
    description: 'Security group for web servers.'
    rules:
      - port_range_min: 80
      - port_range_min: 443

os_servers:
  - name: '{{ host }}'
#    state: 'absent'
    flavor: '4 GB'
    security_groups:
      - base
      - web
    groups:
      - {{ group }}
    volumes:
      # Optionally, specify volumes to create and mount into the server.
      # Typically, these are bind-mounted into place, to avoid file permissions/ownership issues.
      # See: consensus.aegir-policy & consensus.utils for examples and tools.
      #- path: /opt/example
      #  size: 10
      #  device: /dev/vdb
      # Since the VM instance requires the boot volume, we'll wait for it to be
      # fully created before proceeding. This will delay other volumes being
      # created asynchronously, unless it's last in the list of volumes.
      - boot_disk: True
        size: 10
